﻿import cmdlib
import es
import os

# ******************** Load ********************
def load():
	cmdlib.registerServerCommand("soccer_mod_create_admin", create_admin, "Server Command")

# ******************** Commands ********************
def create_admin(args):
	if os.path.isfile("cstrike/cfg/soccer_mod/es_soccer_mod_admins_db.txt") != True:
		kg_admins = "soccer_mod_admins"

		if es.exists("keygroup", kg_admins) == 0:
			es.keygroupcreate(kg_admins)

		es.keycreate(kg_admins, args[0])
		es.keysetvalue(kg_admins, args[0], "name", args[1])

		access = ["match", "cap", "referee", "training", "skins", "change_map", "settings", "manager"]
		for i in range(0, len(access)):
			es.keysetvalue(kg_admins, args[0], access[i], 1)

		es.keygroupsave(kg_admins, "soccer_mod")

		es.msg("#green", "Admin %s added with steamid %s." % (args[1], args[0]))
	else:
		es.msg("#green", "Add all the other admins with the manager in the admin menu.")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_create_admin")